<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Resources\API\SystemOperationLogResource;
use App\Models\SystemOperationLog;
use Illuminate\Http\Request;

class SystemOperationLogController extends Controller
{
    public function index(Request $request)
    {
        $logs = SystemOperationLog::with(['user'])
            ->orderByDesc("request_at")
            ->filter($request->all())
            ->paginate();

        return SystemOperationLogResource::collection($logs);
    }
}
