<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('approvals', function (Blueprint $table) {
            $table->id();
            $table->integer("approval_flow_id")->nullable();
            $table->string("object_type")->nullable();
            $table->string("object_id")->nullable()->index();
            $table->integer("node_level")->nullable();
            $table->string("users")->nullable();
            $table->integer("created_by");
            $table->text("remark")->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('approvals');
    }
};
